PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_chemm | ( | PLASMA_enum | side,
|  | PLASMA_enum | uplo,
|  | int | M,
|  | int | N,
|  | PLASMA_Complex32_t | alpha,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA,
|  | PLASMA_Complex32_t * | B,
|  | int | LDB,
|  | PLASMA_Complex32_t | beta,
|  | PLASMA_Complex32_t * | C,
|  | int | LDC
| ) |  |

PLASMA_chemm - Performs one of the matrix-matrix operations

\[ C = \alpha \times A \times B + \beta \times C \]

or

\[ C = \alpha \times B \times A + \beta \times C \]

where alpha and beta are scalars, A is an hermitian matrix and B and C are m by n matrices.

Parameters

  [in] | side | Specifies whether the hermitian matrix A appears on the left or right in the operation as follows: = PlasmaLeft: \[ C = \alpha \times A \times B + \beta \times C \] = PlasmaRight: \[ C = \alpha \times B \times A + \beta \times C \]
  [in] | uplo | Specifies whether the upper or lower triangular part of the hermitian matrix A is to be referenced as follows: = PlasmaLower: Only the lower triangular part of the hermitian matrix A is to be referenced. = PlasmaUpper: Only the upper triangular part of the hermitian matrix A is to be referenced.
  [in] | M | Specifies the number of rows of the matrix C. M >= 0.
  [in] | N | Specifies the number of columns of the matrix C. N >= 0.
  [in] | alpha | Specifies the scalar alpha.
  [in] | A | A is a LDA-by-ka matrix, where ka is M when side = PlasmaLeft, and is N otherwise. Only the uplo triangular part is referenced.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,ka).
  [in] | B | B is a LDB-by-N matrix, where the leading M-by-N part of the array B must contain the matrix B.
  [in] | LDB | The leading dimension of the array B. LDB >= max(1,M).
  [in] | beta | Specifies the scalar beta.
  [in,out] | C | C is a LDC-by-N matrix. On exit, the array is overwritten by the M by N updated matrix.
  [in] | LDC | The leading dimension of the array C. LDC >= max(1,M).

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_chemm_Tile
  PLASMA_chemm
  PLASMA_dhemm
  PLASMA_shemm